@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Manrope&display=swap");

:root {
  --server: url("/flaw_ui_war_exploded/");
}

html {
  height: 100%;
}

body {
  padding: 0;
  margin: 0;
  height: 100%;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  -webkit-font-smoothing: antialiased;
  overflow: hidden;
}

.container2 {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.flex-root {
  height: 100%;
}

.login-logo-wrapper {
  background: var(--primary-100, #518FE8);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.justify_content_center {
  justify-content: center;
}

.flex_wrap {
  flex-wrap: wrap;
  display: flex;
}

.flex-stack {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo_login_form_block {
  padding-top: 30px;
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: calc(100vh - 80px);
  overflow: auto;
}

@media (max-width: 1024.02px) {
  .logo_login_form_block {
    height: calc(100vh - 96px);
    padding-top: 0;
  }
}

.logo_login_form_block::-webkit-scrollbar {
  height: 0 !important;
}

.logo_login_form_block::-webkit-scrollbar
 {
    width: 0 !important;
}

#savePassBtn {
  display: none;
}

.login_form_logo {
  width: 60px;
  height: 60px;
  background-image: url("--root/images/logo_auth_usb.png");
  background-repeat: no-repeat;
  background-size: 60px 60px;
  background-position-y: center;
  background-position-x: center;
  margin-bottom: 36px;
}

.login_out_form_div {
  width: 400px;
}

.txt_center {
  text-align: center;
}

.login_form_header h2 {
  color: #D7D7DF;
  font-size: 32px;
  font-weight: 500;
  line-height: 38px;
  margin: 0;
  margin-bottom: 48px;
}

.login_form_label {
  color: var(--text-color-100, #D7D7DF);
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
}

.form-field-label-error {
  color: var(--negative-100, #d60202);
  font-family: "Inter", sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
  margin-top: 4px;
}

.error {
  border: 1px solid var(--negative-100, #d60202) !important;
}

.save-pass-text {
  color: var(--text-color-100, #D7D7DF);
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.font_grey_16 {
  color: #D7D7DF;
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
}

.font_blue_link_16 {
  color: var(--primary-100, #518FE8);
  text-align: center;
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  text-decoration: none;
  cursor: pointer;
}

.link_grey {
  color: var(--text-color-60, #959EAE);
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  text-decoration: none;
}

/* .font_blue_link_16:hover,
.link_primary:hover {
  color: #0dcaf0;
  transition: color 0.2s;
  transition-duration: 0.2s;
  transition-timing-function: ease;
  transition-delay: 0s;
  transition-property: color;
} */

.login_form_input,
.field_name input,
.field_email input,
.field_password input,
.field_repeatPassword input {
  box-sizing: border-box;
  padding: 8px 12px;
  color: #D7D7DF;
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
  border: 1px solid #8A89A1;
  border-radius: 4px;
  outline: none;
  width: 100%;
  background: transparent;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #b5b5c3 !important;
  opacity: 1; /* Firefox */
}

.save__pass-btn {
  cursor: pointer;
  width: 20px;
  height: 20px;
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 2px;
  border: 1px solid var(--base-grey-100, #8A89A1);
  background: transparent;
}

.save__pass-btn:hover {
  border: 1px solid var(--primary-80, #6EA1EB);
}

#save_password:checked + label.save-pass-text {
  color: var(--text-color-100, #D7D7DF);
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
}

.show_password {
  position: absolute;
  right: 15px;
  top: 8px;
  cursor: pointer;
}

.login_submit_button,
.btn,
.button_restore_submit,
.button_restore_cancel {
  font-family: "Inter", sans-serif;
  padding: 12px 0;
  border-radius: 4px;
  background: var(--primary-100, #518FE8);
  color: #ffffff;
  cursor: pointer;
  border: none;
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
}

.login_submit_button,
.btn {
  width: 100%;
}

.button_restore_submit,
.button_restore_cancel {
  padding: calc(0.825rem + 1px) calc(1.75rem + 1px);
}

.button_restore_submit {
  margin-right: 1rem;
}

.button_restore_cancel {
  background-color: #ffffff;
  text-decoration: none;
  color: #00b2ff;
}

/* .button_restore_cancel:hover {
  background-color: #00b2ff;
  color: #ffffff;
} */

.login_submit_button:hover,
.btn:hover,
.button_restore_submit:hover,
.button_restore_cancel:hover,
.button_restore_cancel a:hover {
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition-duration: 0.15s, 0.15s, 0.15s, 0.15s;
  transition-timing-function: ease-in-out, ease-in-out, ease-in-out, ease-in-out;
  transition-delay: 0s, 0s, 0s, 0s;
  transition-property: color, background-color, border-color, box-shadow;
}

/* .login_submit_button:hover,
.btn:hover,
.button_restore_submit:hover {
  background-color: #0098da;
} */

.display_none .form-header {
  display: none;
}

.form-content form {
  margin-bottom: 0;
}

.field_name input,
.field_email input,
.field_password input,
.field_repeatPassword input {
  margin-top: 6px;
  margin-bottom: 30px;
}

.login_form {
  margin-bottom: 0;
}

.dropdown22 {
  position: relative;
  margin-top: 32px;
  margin-right: 32px;
}

.dropdown22,
.dropbtn22 {
  width: 32px;
  height: 32px;
  border: none;
  transition: all ease 0.3s;
  cursor: pointer;
  background-size: 100% !important;
}

.dropbtn22 {
  background: url("--root/images/language_icon_grey.svg") no-repeat;
  background-size: contain;
  background-position: center;
  color: #acaeba;
}

.dropbtn22:hover {
  background: url("--root/images/language_icon_blue.svg") no-repeat;
  background-size: 100% !important;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content22 {
  display: none;
  position: absolute;
  background-color: #1C1C2B;
  width: fit-content;
  z-index: 1;
  right: 0px;
  top: 44px;
  border-radius: 4px;
  box-shadow: 0px 0px 2px 0px rgba(3, 19, 50, 0.15);
  border: 1px solid #8A89A1;
}

/* Links inside the dropdown */
.dropdown-content22 a,
.user_name_login {
  text-decoration: none;
  display: block;
  min-width: 102px;
  width: fit-content;
  color: #BFBFD1;
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
  border-radius: 4px;
}

.dropdown-content22-language-menu a {
  box-sizing: border-box;
  padding: 12px 24px;
  width: 144px !important;
  display: flex;
  align-items: center;
  gap: 8px;
}

.dropdown-content22-language-menu a img {
  width: 22px !important;
  height: 16px !important;
  flex-shrink: 0;
}

.language {
  width: 90px;
  text-indent: 0;
}

/* .lang_ru {
  background: url("--root/images/russian-flag.svg") no-repeat;
}

.lang_en {
  background: url("--root/images/usa-flag.svg") no-repeat;
}

.lang_pl {
  background: url("--root/images/poland-flag.svg") no-repeat;
} */

.language_img {
  background-size: 22px 16px !important;
  background-position: center;
  width: 22px !important;
  height: 16px !important;
}

/* .lang_ru, .lang_rus {
  background: url("--root/images/russian-flag.svg") no-repeat;
}

.lang_en, .lang_eng {
  background: url("--root/images/usa-flag.svg") no-repeat;
}

.lang_pl {
  background: url("--root/images/poland-flag.svg") no-repeat;
} */

/* Change color of dropdown links on hover */
.dropdown-content22 a:hover {
  color: var(--primary-80, #6EA1EB);
  background-color: #17253B;
}

.dropdown-content22 a:active {
  color: #3565C3;
}

/* Show the dropdown menu on hover */
.login_lang_block:hover .dropdown-content22 {
  display: block;
}

.login_lang_block {
  display: flex;
  place-self: end;
  padding-bottom: 30px;
}

.p_right_8 {
  padding-right: 8px;
}

.logout {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-family: "Inter", sans-serif;
}

.logout__block {
  width: 400px;
}

.logout__title {
  color: var(--text-color-100, #D7D7DF);
  font-size: 32px;
  font-weight: 500;
  line-height: 38px;
  margin: 0px 0px 48px 0px;
  text-align: center;
}

.logout__person {
  display: flex;
  align-items: center;
  margin-bottom: 32px;
}

.logout__person__image {
  width: 80px;
  height: 80px;
  position: relative;
  border-radius: 50%;
  overflow: hidden;
  margin-right: 24px;
}

.logout__name {
  color: var(--text-color-60, #959EAE);
  font-family: Manrope;
  font-size: 20px;
  font-weight: 600;
  line-height: 24px;
  margin-bottom: 4px;
}
.logout__email {
  color: var(--text-color-100, #D7D7DF);
  font-size: 16px;
  line-height: 20px;
}

.logout__have-account {
  text-align: center;
}

#logut-btn {
  border: none;
  width: 100%;
  margin-bottom: 56px;
}

.another-account {
  display: none;
}

.forget-pass-info {
  margin-bottom: 24px;
  color: var(--text-color-100, #D7D7DF);
  font-family: Manrope;
  font-size: 18px;
  font-weight: 600;
  line-height: 22px;
}

.twoFactor__optional {
  position: absolute;
  box-sizing: border-box;
  top: -17px;
  right: -160px;
  border-radius: 4px;
  width: 150px;
  box-shadow: 0px 4px 32px 0px rgba(0, 0, 0, 0.16),
    0px 0px 4px 0px rgba(0, 0, 0, 0.04);
  padding: 12px 12px 12px 13.67px;
  opacity: 0;
  background-color: #2B2B40;
}

.twoFactor__wrapper::after {
  position: absolute;
  top: 8px;
  left: -22px;
  content: "";
  display: block;
  width: 20px;
  height: 30px;
  background: #2B2B40;
  position: absolute;
  clip-path: polygon(100% 0, 0 50%, 100% 100%);
  border-radius: 8px;
}

.twoFactor__text {
  color: var(--text-color-80, #BFBFD1);
  font-family: "Inter", sans-serif;
  font-size: 12px;
  font-weight: 500;
  line-height: 16px;
}

.two-factor-field:hover .twoFactor__optional {
  opacity: 1;
  transition: ease 0.5s all;
}

.center-align {
  display: flex;
  align-items: center;
}

.auth-logo-block {
  flex: 0 0 36.46%;
}

@media (max-width: 1024.02px) {
  .auth-logo-block {
    flex-basis: auto;
    height: 96px;
  }
}

.auth-form-wrapper {
  flex: 0 0 63.54%;
  display: flex;
  flex-direction: column;
  height: fit-content;
}

@media (max-width: 1024.02px) {
  .auth-form-wrapper {
    flex-basis: auto;
  }
}

.auth-wrapper {
  display: flex;
  height: 100%;
}

@media (max-width: 1024.02px) {
  .auth-wrapper {
    flex-direction: column;
  }
}

.form-field-title {
  margin-bottom: 8px;
  display: flex;
  justify-content: space-between;
}

.pass-checkbox-wrapper {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: relative;
  margin-bottom: 24px;
  width: 100%;
}

.logo_login_form_block:has(input#surname) .pass-checkbox-wrapper,.logo_login_form_block:has(.two-factor-field) .pass-checkbox-wrapper {
  margin-bottom: 0;
}

.logo_login_form_block:has(.two-factor-field) .pass-checkbox-wrapper {
  margin-top: -8px;
}

.logo_login_form_block:has(.twoFactor__optional) {
  padding-top: 0;
}

.pass-field {
  display: block;
  width: 100%;
  position: relative;
  margin-bottom: 8px;
}

.mb-16 {
  margin-bottom: 16px;
}

.full-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.login_form_footer {
  margin-top: 32px;
  margin-bottom: 48px;
}

.fw-400 {
  font-weight: 400 !important;
}

.twoFactor__wrapper {
  position: relative;
}

.flex {
  display: flex;
}

.checkbox {
  appearance: none;
  -webkit-appearance: none;
  opacity: 0;
  width: 0;
  height: 0;
  padding: 0;
  margin: 0;
}

.relative {
  position: relative;
}

.register_footer {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 48px;
}

.m-top-32 {
  margin-top: 32px;
}

.page__header .dropdown22 {
  margin: 0;
}

input[type="checkbox"] + label::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 2px;
  border: 1px solid var(--base-grey-100, #8A89A1);
  background: transparent;
  margin-right: 8px;
  cursor: pointer;
}

input[type="checkbox"] + label:hover::before {
  border: 1px solid var(--primary-80, #6EA1EB);
}

input[type="checkbox"]:focus + label::before {
  border: 1px solid var(--additionally-100, #3565C3);
  outline-style: solid;
  outline-width: 2px;
  outline-color: var(--primary-20, #cfe2fd);
  -moz-outline-radius: 3px;
}

input[type="checkbox"]:disabled + label::before {
  border: 1px solid var(--base-grey-60, #ddd);
}

input[type="checkbox"]:checked + label::before {
  border-color: var(--primary-100, #518FE8);
  background-color: var(--primary-100, #518FE8);
  background-position: center;
  background-size: 20px 20px;
  background-image: url("--root/images/check-mark.svg");
}

input[type="checkbox"]:checked + label:hover::before {
  border: 1px solid var(--primary-80, #6EA1EB);
  background-color: var(--primary-80, #6EA1EB);
}

input[type="checkbox"]:checked + label:active::before {
  border: 1px solid var(--additionally-100, #3565C3);
  background-color: var(--additionally-100, #3565C3);
}

input[type="checkbox"]:checked:disabled + label::before {
  border: 1px solid var(--base-grey-60, #ddd);
  background-color: var(--base-grey-60, #ddd);
}


.login_form_content .form-field {
  margin-bottom: 16px;
}

.two-factor-field {
  margin-top: 24px;
}

@media (max-width: 1024.02px) {
  .login-logo-wrapper > img {
    height: 50px !important;
  }
}